dz*$
* PART NUMBER: FGW40N120WD
* MANUFACTURER: Fuji Electric
* VCES=1200V, IC=65A [25C]
* (C) Fuji Electric Co., Ltd. All Rights Reserved.
.SUBCKT FGW40N120WD C G E
X_U1 C G E	MFGW40N120WD_p
X_U2 E C	DFGW40N120WD_sp
.ENDS FGW40N120WD
*$
.SUBCKT MFGW40N120WD_p  C G E

***************************************
** STL Modification
** Mod to correct negative resistance
***************************************
E_E1	C2 C1 VALUE {(1)*LIMIT(0.0011678*PWRS(I(V_VC), 1.8884),-10,10)}

R_RE	83 E		10u
M_M1	81 82 83 83 MFIN 
D_DDS	83 81 	DO 
C_CGE	82 83		5.45n
R_RG	G 82  	1m
D_D1	2 81 		DGD 
V_VC	C C2 		0Vdc
R_R1	1 82  	100MEG  
M_S2	2 81 82 82	MNSW 
R_R2	81 2  	10MEG 
R_RC	C1 85 	10u
M_S1	1 82 81 81	MNSW 
D_DBE	85 81 	DE 
Q_Q1	83 81 85	QOUT 
C_CGD	1 82		12.7n
.MODEL DGD D ( CJO=858.17E-12 M={1.4777*0.42} VJ=0.76068 )
.MODEL MFIN NMOS ( LEVEL=3 L=1U W=1U LEVEL=3
+ VTO=6.45 KP=3.26 THETA=220m )
.MODEL DO D  (IS=3.79p)
.MODEL DE D  (IS=3.79p N=2)
.MODEL QOUT PNP (IS=3.79p NF=1.20 BF=1
+ XTB=1.3 CJC=0.01n CJE=0.01n VAF=200k TF=23.9n)


***************************************
** STL Modification
** Mod to work around SIMetrix bug
***************************************
.MODEL MNSW NMOS Vto=-0.0 KP=4 N=1Meg Rds=1e12 IS=0

.ENDS MFGW40N120WD_p
*$
*****BODY DIODE SPECIAL MODEL*****
.SUBCKT DFGW40N120WD_sp 1 2
V_V1         N1 N2 DC 0Vdc AC 0Vac
E_E2         N14 0 VALUE { LIMIT(10/(V(N11)+0.001), 0, 5) } 
G_ABMI12     0 N9 VALUE { I(V_Vsns) }
V_Vsns       1 N1 DC 0Vdc AC 0Vac 
C_C1         N8 2  6.5n 
C_C2         N11 0 0.1n 
D_D1         N2 2  DFGW40N120WD_s
R_R2         N11 0 10MEG
E_E7         N3 0 VALUE { LIMIT(I(V_V1)*1000, 0, 5) }
S_S1         N7 N8 N2 2 SW_S1
RS_S1        N2 2 1G
.MODEL       SW_S1 VSWITCH Roff=10e6 Ron=0.1m Voff=-0.1V Von=0.1V
E_E5         0 N10 VALUE { LIMIT(V(N9, 0), -500, 0) } 
E_E3         N8 N13 VALUE { V(N13,2)*(V(N12)-1) }
L_L1         0 N9  0.01nH  
S_S2         N10 N11 N3 0 SW_S2
RS_S2        N3 0 1G
.MODEL       SW_S2 VSWITCH Roff=10e6 Ron=0.1m Voff=4.0V Von=4.5V
R_R1         N13 2  10  
R_R3         N3 0  10MEG  
G_ABMI1      2 N1 VALUE { V(N7,N8) }
C_C3         N12 0 1.0n  
E_E1         N7 2 VALUE { I(V_V1) }
R_R4         N14 N12  100
.MODEL DFGW40N120WD_s D
+ IS=500.00E-6 N=4.7349 RS=20.305E-3 IKF=0.5266
+ CJO=851.99E-11 M=0.43561 VJ=0.30268 ISR=0
+ BV=1.236E3 IBV=100.00E-6 TT=3E-9
.ENDS DFGW40N120WD_sp
*$
